#ifndef _Track_H
#define _Track_H

/** @class Track Track 
 *
 *  Define a Track a the combination of 2 straight lines
 *
 *  @author M.Needham
 *  @date   31/05/2004
 */

#include "Line.h"

class Track{

public:

  Track(const Line& xLine, const Line& yLine);

  virtual ~Track(){}

  double x(const double z) const;

  double y(const double z) const;

  double tx() const;

  double ty() const;

private:

  Line m_xLine;
  Line m_yLine;

}; 

inline Track::Track(const Line& xLine, const Line& yLine):
m_xLine(xLine),
m_yLine(yLine)
{
  // constructer
}

inline double Track::x(const double z) const{
  return m_xLine.value(z);
}

inline double Track::y(const double z) const{
  return m_yLine.value(z);
}

inline double Track::tx() const{
  return m_xLine.m();
}

inline double Track::ty() const{
  return m_yLine.m();
}

#endif // _Track_H
